Get Offer Template Sample
curl --request GET \
--url https://api.lendflow.com/api/offer_templates/{offer_template_id}/sample \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lendflow.com/api/offer_templates/{offer_template_id}/sample"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lendflow.com/api/offer_templates/{offer_template_id}/sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"minimal": {
"offer": {
"offer_amount": 50000,
"payback_amount": 60000
},
"closing": {
"funded_amount": 50000,
"funded_date": "2026-08-07"
}
},
"full": {
"note": "Introductory rate for the first year",
"offer_link": "https://example.com/offers/sample",
"offer_amount": 50000,
"payback_amount": 60000,
"payment_amount": 2500,
"number_of_payments": 24,
"apr": 9.99,
"offer_generated_date": "2026-08-07",
"offer_expiration_date": "2026-09-06",
"funded_amount": 50000,
"funded_date": "2026-08-07"
}
}Offer Templates
Get Offer Template Sample
Field names and example values come from the template’s field definitions. The minimal payloads hold only the fields required for an offer or a closing and are null when the template requires none.
GET
/
api
/
offer_templates
/
{offer_template_id}
/
sample
Get Offer Template Sample
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the offer template.
Was this page helpful?